summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorPetteri Räty <betelgeuse@gentoo.org>2009-08-15 21:50:31 +0000
committerPetteri Räty <betelgeuse@gentoo.org>2009-08-15 21:50:31 +0000
commit5001ba872eaba283e4f322170daceec0fd972cdf (patch)
tree9f4e64824f08863e614b9edf6bd3ed1b2f5b1f3c /eclass
parentRemove old (diff)
downloadgentoo-2-5001ba872eaba283e4f322170daceec0fd972cdf.tar.gz
gentoo-2-5001ba872eaba283e4f322170daceec0fd972cdf.tar.bz2
gentoo-2-5001ba872eaba283e4f322170daceec0fd972cdf.zip
Fix PYTHON_USE_WITH to work properly with EAPI 0.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/python.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/python.eclass b/eclass/python.eclass
index 31e9b0dcd31a..59387c9d36f7 100644
--- a/eclass/python.eclass
+++ b/eclass/python.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python.eclass,v 1.63 2009/08/14 21:22:47 arfrever Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python.eclass,v 1.64 2009/08/15 21:50:31 betelgeuse Exp $
# @ECLASS: python.eclass
# @MAINTAINER:
@@ -366,7 +366,7 @@ python_execute_function() {
# @DESCRIPTION:
# Makes sure PYTHON_USE_WITH or PYTHON_USE_WITH_OR listed use flags
# are respected. Only exported if one of those variables is set.
-if ! has ${EAPI} 0 1 && [[ -n ${PYTHON_USE_WITH} || -n ${PYTHON_USE_WITH_OR} ]]; then
+if ! has ${EAPI:-0} 0 1 && [[ -n ${PYTHON_USE_WITH} || -n ${PYTHON_USE_WITH_OR} ]]; then
python_pkg_setup_fail() {
eerror "${1}"
die "${1}"